#include<iostream>
#include<cstring>
using namespace std;
int main(){
int n, mas[100];
bool x=true;
cin>>n;
for(int i=0; i<n; i++)
    mas[i]=i+1;
int maxi=0, us=0;
for(int k=2; maxi!=1; k++)
{
    for(int i=1; i<n; i++)
    {
            if(i%k!=0 && mas[i]!=1000)
            {
                mas[i]=1000;
            }
    }
    for(int i=1; i<n; i++)
    {
            for(int a=i+1; a<n; a++)
            {
                if(mas[i]>mas[a])swap(mas[a], mas[i]);
            }
    }
        /*for(int g=0; g<n; g++)
            cout<<mas[g]<<" ";
        cout<<endl;*/
        us=maxi;
        maxi=0;
        for(int j=0; mas[j]!=1000; j++)
        {
            if(mas[j]>maxi)
            {
                maxi=mas[j];
            }
        }
        if(maxi==1)
        {
            x=false;
            break;
        }
}
cout<<us<<endl;

return 0;
}
